Name:       mobile-shell
Summary:    Weston Shell for Mobile
Version:    0.0.1
Release:    1
Group:      Graphics & UI Framework
License:    MIT
URL:        ""
Source0:    %{name}-%{version}.tar.bz2

BuildRequires: pkgconfig(weston) > 1.2.2
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(xkbcommon) >= 0.0.578
BuildRequires: pkgconfig(glesv2)
BuildRequires: wayland-devel
Requires: weston > 1.2.2

%description
Weston Plugins for Mobile

%package devel
Summary:    Development files for %{name}
Group:      Graphics & UI Framework/Development
Requires:   %{name} = %{version}-%{release}

%description devel
Development files that expose the wayland extended protocols for Mobile.

%prep
%setup -q -n %{name}-%{version}

%build
%autogen
%configure
make %{?_smp_mflags}

%install
%make_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%license COPYING
%dir %{_libdir}/weston/
%{_libdir}/weston/*.so
%{_libdir}/libmobile-weston-plugin.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/input-method-client-protocol.h
%{_includedir}/%{name}/mobile-shell-client-protocol.h
%{_libdir}/libmobile-weston-plugin.so
